Bug 135524 - Installer doesnt support first format
Installer doesnt support first format
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
s390 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 05:51 EDT by Falko Pilz
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 09:25:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Falko Pilz 2004-10-13 05:51:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
Hello,

as first:
I would install an AS3 s390 on virgin DASD's.

At the moment when I switch in diskdruid anaconda stops with "no
device" found.

At the secound run I stops anaconda at the window before diskdruid and
open a secound ssh-session where I formated the DASD's but with LDL
layout. After that I would go in diskdruid and it says "LDL
unsupported, reformat as CDL?". The answer "yes" runs a grafikal
dasdfmt. So why could a virgin DASD not be formated and whats the
matter with LDL (called Linux disk layout) this was made for Linux
only and RedHat Linux doesn't support it???

Why does Anaconda ever stops running if an recoverable error was found?

Regards

Falko


Version-Release number of selected component (if applicable):
AS3 native

How reproducible:
Always

Steps to Reproduce:
1. start an Install with use of virgin DASD'S
2. I uses German and nfs
3. went to discdruid

    

Actual Results:  Anaconda shows an error and the Instalation stops

Expected Results:  A message should be shown calling: " run a new
ssh-session and use dasdfmt..."
or a grafical dasdfmt should open. There are not so much options at
dasdfmt so it should be posible.

Additional info:
Comment 1 Falko Pilz 2004-10-13 05:53:21 EDT
Same matter should be at s390x (64 bit), 
sorry but multiple choice at plattfrom field isn't enabled here.
Comment 2 Jeremy Katz 2004-10-14 09:25:45 EDT
The problem with formatting virgin DASD is that there's no way to tell
a difference between them and, say, the CMS volume holding your kernel
+ initrd.  

And telling the user to ssh in to the rescue environment is fairly
unfriendly.  The possibility is there for power users, but for most
users, rebooting into their installed system is the better option.

Note You need to log in before you can comment on or make changes to this bug.